/* Topology Builder        Bruce D. Ray
   IUPUI Physics Dept. NMR Center
   402 N. Blackford St.
   Indianapolis, IN   46202
   USA
        determine the molecule's main chain
        determine impropers
        and rename based on mainchain    header    mainchain.h
*/

extern void set_mainchain(int num_atoms);
extern void get_mainchain(int num_atoms, int sel_num, int starter);
extern void renameit(int num_atoms, int num_rings);
extern void loc_improper(int atom_num);

/* main chain derivation information */

int main_num;                    /* actual number of main chain atoms */
int *main_chain;                 /* flag for main chain atoms */

/* end main chain derivation information */

int *sel_chain, *sel_indx;              /* local chain selection flags */

char **new_names;
