/* Topology Builder        Bruce D. Ray
   IUPUI Physics Dept. NMR Center
   402 N. Blackford St.
   Indianapolis, IN   46202
   USA
        write forcefield topology and include files for a topology header
        gromacs_FF.h
*/

extern void write_ff(char *commonname, char **assigned_types, int numatom,
                     float *vdw_rad, float *vdw_pot, int amber);
extern void write_gro (char *filename, int atomnum, char **names, char *residue);
extern void write_top(char *filename, char *residue, int numatoms, int numbonds,
                      int numpairs, int numangles, int numdihed, int numimpro,
                      char **assigned_types, char **names, float *bforce,
                      float *blength, float *aforce, float *theta, float *dforce,
                      float *dphi, float *dterm, int *dmul, float *iforce,
                      float *iphi, float *iterm, int *imul, int amber);
